NetBSD Problem Report #40536

From www@NetBSD.org  Mon Feb  2 07:06:15 2009
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [204.152.190.11])
	by narn.NetBSD.org (Postfix) with ESMTP id 9FA2363B99A
	for <gnats-bugs@gnats.netbsd.org>; Mon,  2 Feb 2009 07:06:15 +0000 (UTC)
Message-Id: <20090202070615.73F0363B879@narn.NetBSD.org>
Date: Mon,  2 Feb 2009 07:06:15 +0000 (UTC)
From: rehsack@web.de
Reply-To: rehsack@web.de
To: gnats-bugs@NetBSD.org
Subject: databases/openldap-server has "invalid" dependencies (meanwhile)
X-Send-Pr-Version: www-1.0

>Number:         40536
>Category:       pkg
>Synopsis:       databases/openldap-server has "invalid" dependencies (meanwhile)
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    manu
>State:          feedback
>Class:          change-request
>Submitter-Id:   net
>Arrival-Date:   Mon Feb 02 07:10:00 +0000 2009
>Closed-Date:    
>Last-Modified:  Wed Aug 03 07:05:02 +0000 2011
>Originator:     Jens Rehsack
>Release:        none
>Organization:
Bayer Business Services
>Environment:
all :)
>Description:
databases/openldap-server has "invalid" dependencies for version 2.4.12 or higher:
- Added BerkeleyDB 4.7 support (ITS#5523)

I rate this medium, because it may prevent openldap-server being build with db4 support, when db-4.7 is already installed.

>How-To-Repeat:

>Fix:
To preserve whitespaces:
http://www.hirschbeutel.de/pkgsrc/patch-databases::p5-openldap-server

>Release-Note:

>Audit-Trail:

Responsible-Changed-From-To: pkg-manager->ghen
Responsible-Changed-By: obache@NetBSD.org
Responsible-Changed-When: Tue, 03 Feb 2009 11:34:47 +0000
Responsible-Changed-Why:
Over to maintainer.


Responsible-Changed-From-To: ghen->manu
Responsible-Changed-By: sno@NetBSD.org
Responsible-Changed-When: Thu, 26 Feb 2009 20:21:32 +0000
Responsible-Changed-Why:
manu@ has made the last updates. Maybe he should be responsible.


From: manu@netbsd.org (Emmanuel Dreyfus)
To: gnats-bugs@NetBSD.org, ghen@NetBSD.org, pkgsrc-bugs@netbsd.org,
 gnats-admin@netbsd.org, sno@NetBSD.org, rehsack@web.de
Cc: 
Subject: Re: pkg/40536 (databases/openldap-server has "invalid" dependencies (meanwhile))
Date: Thu, 26 Feb 2009 21:51:28 +0100

 > manu@ has made the last updates. Maybe he should be responsible.

 As far as I remeber, openldap-server breaks badly when linked against
 db4-4.7. 

 db4-4.6 is a must.

 -- 
 Emmanuel Dreyfus
 http://hcpnet.free.fr/pubz
 manu@netbsd.org

From: Jens Rehsack <rehsack@web.de>
To: Emmanuel Dreyfus <manu@netbsd.org>
Cc: gnats-bugs@NetBSD.org, ghen@NetBSD.org, pkgsrc-bugs@netbsd.org, 
 gnats-admin@netbsd.org, sno@NetBSD.org
Subject: Re: pkg/40536 (databases/openldap-server has "invalid" dependencies
 (meanwhile))
Date: Thu, 26 Feb 2009 22:10:13 +0000

 Emmanuel Dreyfus wrote:
 >> manu@ has made the last updates. Maybe he should be responsible.
 > 
 > As far as I remeber, openldap-server breaks badly when linked against
 > db4-4.7. 
 > 
 > db4-4.6 is a must.
 > 
 Hi Emanuel,

 from Changelog of openldap-2.4.12:
 ...
 Included patch for BerkeleyDB 4.7.25 (build/db.4.7.25.patch)
 ...


 Ich have openldap running on AIX, Linux and FreeBSD with db4.7 - it seems
 it's not so "must" :)

 /Jens

From: manu@netbsd.org (Emmanuel Dreyfus)
To: gnats-bugs@NetBSD.org, gnats-admin@netbsd.org, pkgsrc-bugs@netbsd.org,
 rehsack@web.de
Cc: 
Subject: Re: pkg/40536 (databases/openldap-server has "invalid" dependencies (meanwhile))
Date: Fri, 27 Feb 2009 07:33:37 +0100

 Jens Rehsack <rehsack@web.de> wrote:

 >  Ich have openldap running on AIX, Linux and FreeBSD with db4.7 - it seems
 >  it's not so "must" :)

 I will give it a try on the next package upgrade (2.4.15 is coming soon)

 -- 
 Emmanuel Dreyfus
 http://hcpnet.free.fr/pubz
 manu@netbsd.org

State-Changed-From-To: open->feedback
State-Changed-By: shattered@NetBSD.org
State-Changed-When: Sat, 23 Jul 2011 14:25:01 +0000
State-Changed-Why:
Surely this is fixed?


From: rehsack@web.de
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/40536 (databases/openldap-server has "invalid" dependencies
 (meanwhile))
Date: Mon, 1 Aug 2011 23:53:26 +0200 (CEST)

 Von: shattered@NetBSD.org
 Gesendet: 23.07.2011 16:25:06
 An: manu@NetBSD.org, pkgsrc-bugs@netbsd.org, gnats-admin@netbsd.org, shattered@NetBSD.org, rehsack@web.de
 Betreff: Re: pkg/40536 (databases/openldap-server has "invalid" dependencies (meanwhile))

 >Synopsis: databases/openldap-server has "invalid" dependencies (meanwhile)
 >
 >State-Changed-From-To: open->feedback
 >State-Changed-By: shattered@NetBSD.org
 >State-Changed-When: Sat, 23 Jul 2011 14:25:01 +0000
 >State-Changed-Why:
 >Surely this is fixed?

 I don't understand the question. Do you ask me whether the patch has been applied or whether openldap works fine with db4.7?

 /Jens

From: David Holland <dholland-pbugs@netbsd.org>
To: gnats-bugs@NetBSD.org
Cc: 
Subject: Re: pkg/40536 (databases/openldap-server has "invalid" dependencies
 (meanwhile))
Date: Wed, 3 Aug 2011 07:03:12 +0000

 On Mon, Aug 01, 2011 at 11:15:04PM +0000, rehsack@web.de wrote:
  >  >State-Changed-From-To: open->feedback
  >  >State-Changed-By: shattered@NetBSD.org
  >  >State-Changed-When: Sat, 23 Jul 2011 14:25:01 +0000
  >  >State-Changed-Why:
  >  >Surely this is fixed?
  >  
  > I don't understand the question. Do you ask me whether the patch
  > has been applied or whether openldap works fine with db4.7?

 I think the question is: does openldap-server work with (now) db4.8,
 or is it still broken? (And if so, what's the problem? The original
 report is light on details and the URL in it no longer works...)

 -- 
 David A. Holland
 dholland@netbsd.org

>Unformatted:

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2007 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.